# $Id: smeserver-sysmon.spec,v 1.5 2015/09/25 18:06:36 stephdl Exp $
# Authority: slords
# Name: Shad L. Lords

Summary: sme server system monitor
%define name smeserver-sysmon
Name: %{name}
%define version 6.4
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Service
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 9
Requires: sysstat >= 5
Requires: rrdtool >= 1.2
Requires: perl(RRDs)
Requires: fping
AutoReqProv: no
Patch0: smeserver-sysmon-6.4.change_rrd_network_label.patch

%changelog
* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 6.4-4.sme
- Network labels have changed in rrdtools
- Added smeserver-sysmon-6.4.change_rrd_network_label.patch

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 6.4-2.sme
- Initial release to contribs9

* Wed Aug 15 2012 JP Pialasse <tests@pialasse.com> 6.2-2.sme
- patch for sysstats 7 and for 64 bit systems

* Thu Aug 9 2012 Shad L. Lords <slords@mail.com> 6.2-1.sme
- Initial version

%description
System monitor for SME Server version 9

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
if [ $1 -ge 1 ]; then
    /sbin/service sysmon stop &> /dev/null || :
fi

%post
if [ $1 -ge 2 ]; then
    mkdir -p /var/lib/rrd/backup
    /bin/mv /var/lib/rrd/*.rrd /var/lib/rrd/backup/ &> /dev/null
    # FIXME: Fix for broken postun in previous versions (remove later)
    /sbin/service sysmon restart &> /dev/null || :
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service sysmon stop &> /dev/null || :
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service sysmon restart &> /dev/null || :
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
